Bank Kalteng (Phase 2) - Support #1289

ESS Medical - Validasi
06/28/2022 03:52 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 06/28/2022
Priority: Urgent Due date: 07/01/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear developer,

Mohon dibantu untuk tambahkan validasi di field Covered by Company (CoverageByCompanySum) di tabel
PDSWFMEDCLAIMSUM tidak boleh melebihi jumlah yang di setting di TransactionLimit (table PHRBNMEDTREATCOVER).

1. Jika total amount melebihi transaction limit maka jumlah yang tertera hanya boleh mengambil data transaction limit dan sisa
amount nya akan masuk ke field Covered by Employee (CoverageByEmployeeSum) di table PDSWFMEDCLAIMSUM.
Contoh:

Transaction Limit yang di set = Rp 500.000

Total Amount = Rp 600.000

Covered by Company = Rp 500.000 (mengambil data transaction limit karena total amount > transaction limit)

Covered by Employee = Rp 100.000

2. Jika total amount kurang dari transaction limit maka jumlah yang tertera sama dengan total amount.
Contoh:

Transaction Limit yang di set = Rp 500.000

Total Amount = Rp 300.000

Covered by Company = Rp 300.000 (mengambil data total amount karena total amount < transaction limit)

» Payment Summary

Total Amount: GO0000
Covered By Company GO0000
Terima kasih.

Port: http://103.168.134.28:31130/

History

#1 - 06/28/2022 04:01 PM - Kezia Pawitra Yulianti
- Due date set to 07/01/2022

- Status changed from New to Assigned

- Assignee set to M Azid Wahyudi

- Priority changed from Normal to Urgent

#2 - 07/05/2022 09:39 AM - Kezia Pawitra Yulianti

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

Pls cek redmine lain sepertinya ini sama dgn redmine 1326 dr Fachrul.
Pls koordinasi dgn fachrul ya, kl sama redmine ini di close aja.

Tks

#3 - 07/05/2022 09:43 AM - Fiona Avangeline Jonathan

- Status changed from Assigned to Closed
